Package relaxngcc.builder

# Class NameTestBuilder

java.lang.Object
relaxngcc.builder.NameTestBuilder

All Implemented Interfaces:
  `NameClassFunction`

public class NameTestBuilder extends Object implements NameClassFunction
Generates a clause that tests the membership of a NameClass.

This function returns `CDExpression`.

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

## Constructor Summary

Constructors
Constructor
Description
`NameTestBuilder(CDExpression uriVar, CDExpression localNameVar)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`anyName(NameClass except)`
`static CDExpression`
`build(NameClass nc, CDExpression uri, CDExpression local)`
`Object`
`choice(NameClass nc1, NameClass nc2)`
`Object`
`name(String ns, String local)`
`Object`
`nsName(String ns, NameClass except)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NameTestBuilder

public NameTestBuilder(CDExpression uriVar, CDExpression localNameVar)

## Method Details

### build

public static CDExpression build(NameClass nc, CDExpression uri, CDExpression local)

### choice

public Object choice(NameClass nc1, NameClass nc2)

Specified by:
  `choice` in interface `NameClassFunction`

### nsName

public Object nsName(String ns, NameClass except)

Specified by:
  `nsName` in interface `NameClassFunction`

### anyName

public Object anyName(NameClass except)

Specified by:
  `anyName` in interface `NameClassFunction`

### name

public Object name(String ns, String local)

Specified by:
  `name` in interface `NameClassFunction`